# -*- shell-script -*-

include "iconrc"

style "normal_font"
{
  font_name="Bitstream Vera Sans 12"
}

style "neuro_font"
{
  font_name="Bitstream Vera Sans 12"
}

class "GtkWidget" style "neuro_font"
class "GtkLabel" style "normal_font"

style "bgcolor"
{
  bg[NORMAL] = "#141414"
}

style "basecolor"
{
  bg[NORMAL] = "#141414"
}

style "poker3d_default"
{
  GtkWidget::interior_focus         = 0
  GtkWidget::focus_padding          = 0
  GtkWidget::default_border         = { 0, 0, 0, 0 }
  GtkWidget::default_outside_border = { 0, 0, 0, 0 }
  GtkWidget::focus_line_width	= 0
  GtkRange::slider_width            = 16
  GtkRange::stepper_size            = 16
  GtkPaned::handle_size             = 6
  GtkScrollbar::min_slider_length   = 30
  GtkCheckButton::indicator_size    = 12
  GtkMenuBar::internal_padding      = 2
  GtkOptionMenu::indicator_size     = { 12, 8 }
  GtkOptionMenu::indicator_spacing  = { 0, 0, 0, 0 }
  GtkScrolledWindow::scrollbar-spacing = 0

  text[NORMAL] = "white"
  
  base[NORMAL] = "#141414"
  base[PRELIGHT] = "#141414"
  base[ACTIVE] = "#141414"
  base[SELECTED] = "#141414"
  base[INSENSITIVE] = "#141414"
    
  fg[NORMAL]            = "white"
  fg[PRELIGHT]          = "white"
  fg[ACTIVE]            = "#b0b0b0"
  fg[SELECTED]          = "white"
  fg[INSENSITIVE]       = "#b0b0b0"
    
  bg[NORMAL]            = "#141414"
  bg[PRELIGHT]          = "#141414"
  bg[ACTIVE]            = "#141414"
  bg[SELECTED]          = "#141414"
  bg[INSENSITIVE]       = "#141414"

  engine "pixmap"
  {
      image
      {
	  function          = CHECK
	  shadow            = OUT
	  recolorable       = TRUE
	  overlay_file      = "checkbox-n.png"
	  overlay_border    = { 0, 0, 0, 0 }
	  overlay_stretch   = FALSE
      }
      image
      {
	  function          = CHECK
	  shadow            = IN
	  recolorable       = TRUE
	  overlay_file      = "checkbox-s.png"
	  overlay_border    = { 0, 0, 0, 0 }
	  overlay_stretch   = FALSE
      }
      image
      {
	  function          = OPTION
	  shadow            = OUT
	  recolorable       = TRUE
	  overlay_file      = "checkbox-n.png"
	  overlay_border    = { 0, 0, 0, 0 }
	  overlay_stretch   = FALSE
      }
      image
      {
	  function          = OPTION
	  shadow            = IN
	  recolorable       = TRUE
	  overlay_file      = "checkbox-s.png"
	  overlay_border    = { 0, 0, 0, 0 }
	  overlay_stretch   = FALSE
      }
      image
      {
	  function          = ARROW
	  recolorable       = TRUE
	  overlay_file      = "scroll_bottom.png"
	  overlay_border    = { 1, 1, 1, 1 }
	  overlay_stretch   = FALSE
	  arrow_direction   = DOWN
      }
      image
      {
	  function          = ARROW
	  recolorable       = TRUE
	  overlay_file      = "scroll_top.png"
	  overlay_border    = { 1, 1, 1, 1 }
	  overlay_stretch   = FALSE
	  arrow_direction   = UP
      }
      image 
      {
	  function          = SLIDER
	  recolorable       = TRUE
	  file              = "scroll_bar.png"
	  border            = { 1, 1, 1, 1 }
	  stretch           = TRUE
	  orientation       = HORIZONTAL
      }
      image 
      {
	  function          = SLIDER
	  recolorable       = TRUE
	  file              = "scroll_bar.png"
	  border            = { 1, 1, 1, 1 }
	  stretch           = TRUE
	  orientation       = VERTICAL
      }
      image 
      {
	  function          = STEPPER
	  recolorable       = TRUE
	  file              = "stepper_up.png"
	  border            = { 1, 1, 1, 1 }
	  stretch           = TRUE
	  arrow_direction   = UP
      }
      image 
      {
	  function          = STEPPER
	  recolorable       = TRUE
	  file              = "stepper_down.png"
	  border            = { 1, 1, 1, 1 }
	  stretch           = TRUE
	  arrow_direction   = DOWN
      }
      image 
      {
	  function          = STEPPER
	  recolorable       = TRUE
	  file              = "stepper_right.png"
	  border            = { 1, 1, 1, 1 }
	  stretch           = TRUE
	  arrow_direction   = RIGHT
      }
      image 
      {
	  function          = STEPPER
	  recolorable       = TRUE
	  file              = "stepper_left.png"
	  border            = { 1, 1, 1, 1 }
	  stretch           = TRUE
	  arrow_direction   = LEFT
      }
      image 
      {
	  function          = BOX
	  recolorable       = TRUE
	  detail            = "trough"
	  file              = "scroll_bar_back.png"
	  border            = { 1, 1, 1, 1 }
	  stretch           = TRUE
	  orientation       = HORIZONTAL
      }
      image 
      {
	  function          = BOX
	  recolorable       = TRUE
	  detail            = "trough"
	  file              = "scroll_bar_back.png"
	  border            = { 1, 1, 1, 1 }
	  stretch           = TRUE
	  orientation       = VERTICAL
      }
  }
}

class "GtkWidget"       style "poker3d_default"
include "gtkrc.lobby"
include "gtkrc.account_status.fr"
include "gtkrc.blind_ante"
include "gtkrc.buy_in"
include "gtkrc.cashier.fr"
include "gtkrc.chat"
include "gtkrc.check_warning"
include "gtkrc.chooser"
include "gtkrc.clock"
include "gtkrc.game"
include "gtkrc.game_toplevel"
include "gtkrc.hand_history"
include "gtkrc.lobby_tabs"
include "gtkrc.login"
include "gtkrc.menu"
include "gtkrc.message"
include "gtkrc.msg_head"
include "gtkrc.muck"
include "gtkrc.outfits"
include "gtkrc.personal_information.fr"
include "gtkrc.sit_actions"
include "gtkrc.yesno"
#include "gtkrc.old"
#include "gtkrc.tournaments"

style "chat"
{
  font_name="Bitstream Vera Sans 12"
}

widget "chat_entry_window*" style "chat"
widget "chat_history_window*" style "chat"
